# Generated by Django 4.0 on 2021-12-21 19:44

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("fisco", "0001_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="SoggettoFiscale",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "denominazione",
                    models.CharField(
                        blank=True,
                        help_text="Ditta, denominazione o ragione sociale, da valorizzare solo se non sono valorizzati Nome e Cognome",
                        max_length=80,
                        null=True,
                    ),
                ),
                (
                    "nome",
                    models.CharField(
                        blank=True,
                        help_text="Nome della persona fisica. Da valorizzare insieme al Cognome in alternativa alla Denominazione",
                        max_length=60,
                        null=True,
                    ),
                ),
                (
                    "cognome",
                    models.CharField(
                        blank=True,
                        help_text="Cognome della persona fisica. Da valorizzare insieme al Nome in alternativa alla Denominazione",
                        max_length=60,
                        null=True,
                    ),
                ),
                (
                    "titolo",
                    models.CharField(
                        blank=True,
                        help_text="Titolo onorifico",
                        max_length=10,
                        null=True,
                    ),
                ),
                (
                    "codice_EORI",
                    models.CharField(
                        blank=True,
                        help_text="Numero del Codice EORI (Economic Operator Registration and Identification) in base al Regolamento (CE) n. 312 del 16 aprile 2009. In vigore dal 1 luglio 2009",
                        max_length=17,
                        null=True,
                    ),
                ),
                (
                    "id_fiscale_iva_paese",
                    models.CharField(
                        blank=True,
                        help_text="Codice della nazione. Esempio IT.",
                        max_length=2,
                        null=True,
                    ),
                ),
                (
                    "id_fiscale_iva_codice",
                    models.CharField(
                        blank=True,
                        help_text="Codice identificativo fiscale",
                        max_length=28,
                        null=True,
                    ),
                ),
                (
                    "codice_fiscale",
                    models.CharField(blank=True, max_length=16, null=True),
                ),
                (
                    "albo_professionale",
                    models.CharField(
                        blank=True,
                        help_text="Nome dell'albo professionale",
                        max_length=60,
                        null=True,
                    ),
                ),
                (
                    "provincia_albo",
                    models.CharField(
                        blank=True,
                        help_text="Sigla della provincia di competenza dell'albo. Es: BS.",
                        max_length=2,
                        null=True,
                    ),
                ),
                (
                    "numero_iscrizione_albo",
                    models.CharField(blank=True, max_length=60, null=True),
                ),
                ("data_iscrizione_albo", models.DateField(blank=True, null=True)),
                ("telefono", models.CharField(blank=True, max_length=12, null=True)),
                ("fax", models.CharField(blank=True, max_length=12, null=True)),
                ("email", models.EmailField(blank=True, max_length=254, null=True)),
                (
                    "codice_destinatario",
                    models.CharField(
                        default="0000000",
                        help_text="Qualora il destinatario non abbia un canale presso SdI, l'elemento deve essere valorizzato con tutti zeri '0000000'. Per le fatture emesse con riferimento a operazioni transfrontaliere l'elemento deve essere valorizzato con tutte 'XXXXXXX'",
                        max_length=7,
                    ),
                ),
                (
                    "pec",
                    models.EmailField(
                        blank=True, default=None, max_length=254, null=True
                    ),
                ),
                (
                    "rappresentante_fiscale",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="anagrafica.soggettofiscale",
                    ),
                ),
                (
                    "regime_fiscale",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="fisco.regimefiscale",
                    ),
                ),
                (
                    "utenti",
                    models.ManyToManyField(
                        blank=True,
                        default=None,
                        related_name="soggetti_fiscali",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "verbose_name": "Soggetto Fiscale",
                "verbose_name_plural": "Soggetti Fiscali",
            },
        ),
        migrations.CreateModel(
            name="Indirizzo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("indirizzo", models.CharField(max_length=60)),
                (
                    "numero_civico",
                    models.CharField(blank=True, default=None, max_length=8, null=True),
                ),
                ("cap", models.CharField(default="00000", max_length=5)),
                ("comune", models.CharField(max_length=60)),
                (
                    "provincia",
                    models.CharField(blank=True, default=None, max_length=2, null=True),
                ),
                ("nazione", models.CharField(default="IT", max_length=2)),
                (
                    "sede",
                    models.BooleanField(default=True, verbose_name="Sede o Residenza"),
                ),
                (
                    "stabile_organizzazione",
                    models.BooleanField(
                        default=False,
                        help_text="Da valorizzare nel caso in cui la sede sia estera e l'indirizzo è la stabile organizzazione in Italia",
                    ),
                ),
                ("indirizzo_spedizione", models.BooleanField(default=True)),
                (
                    "soggetto_fiscale",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="indirizzi",
                        to="anagrafica.soggettofiscale",
                    ),
                ),
            ],
            options={
                "verbose_name": "Indirizzo",
                "verbose_name_plural": "Indirizzi",
            },
        ),
    ]
