from rest_framework import serializers

from ..models import SoggettoFiscale
from minigest.pos.serializers import NegozioSerializerMinimal


class SoggettoFiscaleMinimal(serializers.ModelSerializer):
    class Meta:
        model = SoggettoFiscale
        fields = ["id", "denominazione", "nome", "cognome"]


class SoggettoFiscaleSerializer(serializers.ModelSerializer):
    negozi = NegozioSerializerMinimal(many=True, read_only=True)

    class Meta:
        model = SoggettoFiscale
        fields = "__all__"
