from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import SoggettoFiscale
from ..serializers import SoggettoFiscaleSerializer

permission = permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticated


class SoggettoFiscaleViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = SoggettoFiscale.objects.all()
    serializer_class = SoggettoFiscaleSerializer
    filter_backends = [filters.SearchFilter, DjangoFilterBackend]
    filterset_fields = ["utenti"]
    search_fields = [
        "denominazione",
        "nome",
        "cognome",
        "id_fiscale_iva_codice",
        "codice_fiscale",
    ]
