from django.db import models

from ..documento_commerciale import DocumentoCommerciale
from .chiusura import ChiusuraFiscale


class ChiusuraAnnulloMerce(DocumentoCommerciale):
    chiusura = models.ForeignKey(
        ChiusuraFiscale, on_delete=models.CASCADE, related_name="annulli"
    )

    def __str__(self):
        return f"Annullo Merce, IVA {self.aliquota_iva}%: {self.corrispettivo}€"

    class Meta:
        verbose_name = "Annullo Merce"
        verbose_name_plural = "Annulli Merce"
