from django.db import models

from ..documento_commerciale import DocumentoCommerciale
from .chiusura import ChiusuraFiscale


class ChiusuraRepartoIva(DocumentoCommerciale):
    chiusura = models.ForeignKey(
        ChiusuraFiscale, on_delete=models.CASCADE, related_name="reparti_iva"
    )

    def __str__(self):
        return f"Reparto IVA {self.aliquota_iva}%: {self.corrispettivo}€"

    class Meta:
        verbose_name = "Reparto IVA"
        verbose_name_plural = "Reparti IVA"
