from django.db import models

from ..documento_commerciale import DocumentoCommerciale
from .chiusura import ChiusuraFiscale


class ChiusuraResoMerce(DocumentoCommerciale):
    chiusura = models.ForeignKey(
        ChiusuraFiscale, on_delete=models.CASCADE, related_name="resi"
    )

    def __str__(self):
        return f"Reso Merce, IVA {self.aliquota_iva}%: {self.corrispettivo}€"

    class Meta:
        verbose_name = "Reso Merce"
        verbose_name_plural = "Resi Merce"
