from decimal import Decimal

from django.db import models


class DocumentoCommerciale(models.Model):
    aliquota_iva = models.DecimalField(
        max_digits=19,
        decimal_places=2,
    )

    corrispettivo = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        help_text="Il totale del corrispettivo compreso di IVA",
    )

    @property
    def totale(self):
        return self.corrispettivo

    @property
    def imposta(self):
        imposta = (self.corrispettivo * self.aliquota_iva) / (100 + self.aliquota_iva)
        return Decimal(format(imposta, ".2f"))

    @property
    def imponibile(self):
        imponibile = (self.corrispettivo * 100) / (100 + self.aliquota_iva)
        return Decimal(format(imponibile, ".2f"))

    class Meta:
        abstract = True
