from django.db import models
from .fattura import Fattura
from minigest.fisco.models import ModalitaPagamento
from ...helpers import distinte_dir


class Distinta(models.Model):
    fattura = models.ForeignKey(
        Fattura, on_delete=models.CASCADE, related_name="distinte"
    )

    data_pagamento = models.DateField()

    importo = models.DecimalField(
        max_digits=19,
        decimal_places=2,
    )

    modalita_pagamento = models.ForeignKey(
        ModalitaPagamento, on_delete=models.SET_NULL, null=True, blank=True
    )

    file = models.FileField(blank=True, default=None, upload_to=distinte_dir)

    def __str__(self):
        return f"Distinta di Pagamento del {self.data_pagamento} {self.importo} {self.fattura}"

    class Meta:
        verbose_name = "Distinta di Pagamento"
        verbose_name_plural = "Distinte di Pagamento"
