from django.db import models

from minigest.docfisc.models.fattura.fattura import Fattura
from minigest.fisco.models import CondizionePagamento, ModalitaPagamento


class FatturaRata(models.Model):
    fattura = models.ForeignKey(Fattura, on_delete=models.CASCADE, related_name="rate")

    condizioni_pagamento = models.ForeignKey(
        CondizionePagamento,
        on_delete=models.SET_NULL,
        null=True,
        blank=True,
    )

    modalita_pagamento = models.ForeignKey(
        ModalitaPagamento, on_delete=models.SET_NULL, null=True, blank=True
    )

    # Dettagli del pagamento
    beneficiario = models.CharField(
        max_length=200,
        null=True,
        blank=True,
        help_text="Da valorizzare solo se diverso dal fornitore",
    )

    data_scadenza = models.DateField()

    importo_pagamento = models.DecimalField(
        max_digits=19,
        decimal_places=2,
    )

    def __str__(self):
        return "rata"

    class Meta:
        verbose_name = "Rata Fattura"
        verbose_name_plural = "Rate Fattura"
