from django.db import models

from minigest.fisco.models import EsigibilitaIVA, NaturaOperazioneIVA

from .fattura import Fattura


class FatturaRiepilogoIVA(models.Model):
    fattura = models.ForeignKey(
        Fattura, on_delete=models.CASCADE, related_name="riepiloghi_iva"
    )

    esigibilita_iva = models.ForeignKey(
        EsigibilitaIVA, on_delete=models.SET_NULL, null=True, default=None, blank=True
    )

    natura = models.ForeignKey(
        NaturaOperazioneIVA,
        on_delete=models.SET_NULL,
        null=True,
        blank=True,
        default=None,
    )

    aliquota_iva = models.DecimalField(
        max_digits=19, decimal_places=2, help_text="Esempio 22"
    )

    spese_accessorie = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        null=True,
        blank=True,
    )

    arrotondamento = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        null=True,
        blank=True,
    )

    imponibile_importo = models.DecimalField(
        max_digits=19,
        decimal_places=2,
    )

    imposta = models.DecimalField(
        max_digits=19,
        decimal_places=2,
    )

    riferimento_normativo = models.CharField(max_length=100, null=True, blank=True)

    def __str__(self):
        return "Riepilogo IVA"

    class Meta:
        verbose_name = "Riepilogo IVA"
        verbose_name_plural = "Riepiloghi IVA"
