from rest_framework import serializers

from ...models import ChiusuraFiscale
from .annullo import ChiusuraAnnulloMerceSerializer
from .reparto import ChiusuraRepartoIvaSerializer
from .reso import ChiusuraResoMerceSerializer


class ChiusuraFiscaleSerializer(serializers.ModelSerializer):
    reparti_iva = ChiusuraRepartoIvaSerializer(many=True, read_only=True)
    annulli = ChiusuraAnnulloMerceSerializer(many=True, read_only=True)
    resi = ChiusuraResoMerceSerializer(many=True, read_only=True)

    class Meta:
        model = ChiusuraFiscale
        fields = [
            "id",
            "cassa",
            "data",
            "numero_documenti_commerciali",
            "gran_totale",
            "totale",
            "imposta",
            "imponibile",
            "totale_annulli",
            "totale_resi",
            "reparti_iva",
            "annulli",
            "resi",
        ]
