from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import ChiusuraFiscale
from ..serializers import ChiusuraFiscaleSerializer

permission = permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticated


class ChiusuraFiscaleViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = ChiusuraFiscale.objects.all()
    serializer_class = ChiusuraFiscaleSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = ["cassa"]
    search_fields = ["^data"]
