from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import Fattura
from ..serializers import FatturaSerializer

permission = permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticated


class FatturaViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Fattura.objects.all()
    serializer_class = FatturaSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = ["fornitore", "cliente"]
    search_fields = ["^data"]
