def bilancio(azienda, periodo):
    # Entrate
    entrate_totale = 0
    entrate_imposta = 0
    entrate_imponibile = 0
    entrate_ndc = 0

    # Uscite
    uscite_totale = 0
    uscite_imposta = 0
    uscite_imponibile = 0

    # Chiusure Fiscali
    for negozio in azienda.negozi.all():
        for cassa in negozio.casse.all():
            for chiusura in cassa.chiusure.all().filter(data__icontains=periodo):
                entrate_totale += chiusura.gran_totale
                entrate_imposta += chiusura.imposta
                entrate_imponibile += chiusura.imponibile
                entrate_ndc += chiusura.numero_documenti_commerciali

    # Fatture Vendita
    for fattura in azienda.fatture_vendita.all().filter(data_sdi__icontains=periodo):
        entrate_totale += fattura.totale
        entrate_imposta += fattura.imposta
        entrate_imponibile += fattura.imponibile
        entrate_ndc += 1

    # Fatture Acquisto
    for fattura in azienda.fatture_acquisto.all().filter(data_sdi__icontains=periodo):
        uscite_totale += fattura.totale
        uscite_imposta += fattura.imposta
        uscite_imponibile += fattura.imponibile

    return {
        "entrate": {
            "totale": entrate_totale,
            "imposta": entrate_imposta,
            "imponibile": entrate_imponibile,
            "numero_documenti_commerciali": entrate_ndc,
        },
        "uscite": {
            "totale": uscite_totale,
            "imposta": uscite_imposta,
            "imponibile": uscite_imponibile,
        },
        "saldo": {
            "totale": entrate_totale - uscite_totale,
            "imposta": entrate_imposta - uscite_imposta,
            "imponibile": entrate_imponibile - uscite_imponibile,
        },
    }
