from datetime import datetime

from django.conf import settings
from rest_framework import permissions, status
from rest_framework.response import Response
from rest_framework.views import APIView

from minigest.anagrafica.models import SoggettoFiscale as Azienda

from ..helpers import bilancio

permission = permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticated


class Bilancio(APIView):
    permission_classes = [permission]

    def get(self, request, pk, periodo=datetime.now().year):
        # inizializzazione delle variabili
        azienda = None

        # Controlla che l'azienda esista
        try:
            azienda = Azienda.objects.get(pk=pk)
        except Azienda.DoesNotExist:
            return Response("Azienda non selezionata", status=status.HTTP_404_NOT_FOUND)

        return Response(bilancio(azienda, periodo))
