from django.contrib import admin

from ...models import Articolo, ArticoloDettaglio
from .immagine import ArticoloImmagineAdmin


class ArticoloDettaglioAdmin(admin.StackedInline):
    model = ArticoloDettaglio
    extra = 0


@admin.register(Articolo)
class ArticoloAdmin(admin.ModelAdmin):
    ordering = ("nome",)
    list_display = (
        "nome",
        "servizio",
    )

    inlines = [ArticoloDettaglioAdmin, ArticoloImmagineAdmin]
