# Generated by Django 4.0 on 2021-12-21 19:44

import django.db.models.deletion
from django.db import migrations, models

import minigest.magazzino.helpers.updirs


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Articolo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("nome", models.CharField(max_length=255)),
                ("slug", models.SlugField(unique=True)),
                ("descrizione", models.TextField(blank=True, null=True)),
                (
                    "prezzo",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        default=None,
                        max_digits=19,
                        null=True,
                    ),
                ),
                (
                    "prezzo_offerta",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        default=None,
                        max_digits=19,
                        null=True,
                    ),
                ),
                (
                    "prezzo_a_partire",
                    models.BooleanField(blank=True, default=None, null=True),
                ),
            ],
            options={
                "verbose_name": "Articolo",
                "verbose_name_plural": "Articoli",
            },
        ),
        migrations.CreateModel(
            name="Servizio",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("nome", models.CharField(max_length=255)),
                ("slug", models.SlugField(unique=True)),
                (
                    "wallpaper",
                    models.ImageField(
                        blank=True,
                        default=None,
                        upload_to=minigest.magazzino.helpers.updirs.wallpapers_dir,
                    ),
                ),
                ("descrizione_breve", models.TextField(max_length=500)),
                ("descrizione", models.TextField(blank=True, default=None)),
            ],
            options={
                "verbose_name": "Servizio",
                "verbose_name_plural": "Servizi",
            },
        ),
        migrations.CreateModel(
            name="Variante",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("variante", models.CharField(max_length=255)),
            ],
            options={
                "verbose_name": "Variante",
                "verbose_name_plural": "Varianti",
            },
        ),
        migrations.CreateModel(
            name="VarianteValore",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("valore", models.CharField(max_length=255)),
                (
                    "variante",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="valori",
                        to="magazzino.variante",
                    ),
                ),
            ],
            options={
                "verbose_name": "Variante valore",
                "verbose_name_plural": "Variante valori",
            },
        ),
        migrations.CreateModel(
            name="ArticoloImmagine",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("alt", models.CharField(max_length=255)),
                (
                    "file",
                    models.ImageField(
                        blank=True,
                        default=None,
                        upload_to=minigest.magazzino.helpers.updirs.art_file_dir,
                    ),
                ),
                (
                    "articolo",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="immagini",
                        to="magazzino.articolo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Immagine articolo",
                "verbose_name_plural": "Immagini articolo",
            },
        ),
        migrations.CreateModel(
            name="ArticoloDettaglio",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "prezzo",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        default=None,
                        max_digits=19,
                        null=True,
                    ),
                ),
                (
                    "prezzo_offerta",
                    models.DecimalField(
                        blank=True,
                        decimal_places=2,
                        default=None,
                        max_digits=19,
                        null=True,
                    ),
                ),
                ("prezzo_a_partire", models.BooleanField(default=False)),
                (
                    "articolo",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="varianti",
                        to="magazzino.articolo",
                    ),
                ),
                (
                    "variante",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="magazzino.variante",
                    ),
                ),
                (
                    "variante_valore",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="magazzino.variantevalore",
                    ),
                ),
            ],
            options={
                "verbose_name": "Dettaglio Articolo",
                "verbose_name_plural": "Dettagli Articolo",
            },
        ),
        migrations.AddField(
            model_name="articolo",
            name="servizio",
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="magazzino.servizio",
            ),
        ),
    ]
