from django.db import models

from ..servizio import Servizio


class Articolo(models.Model):
    servizio = models.ForeignKey(
        Servizio,
        on_delete=models.SET_NULL,
        null=True,
    )
    nome = models.CharField(max_length=255)
    slug = models.SlugField(unique=True)
    descrizione = models.TextField(blank=True, null=True)
    prezzo = models.DecimalField(
        max_digits=19, decimal_places=2, blank=True, default=None, null=True
    )
    prezzo_offerta = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        blank=True,
        default=None,
        null=True,
    )
    prezzo_a_partire = models.BooleanField(blank=True, null=True, default=None)

    def __str__(self):
        return self.nome

    class Meta:
        verbose_name = "Articolo"
        verbose_name_plural = "Articoli"
