from django.db import models

from .articolo import Articolo
from .variante import Variante, VarianteValore


class ArticoloDettaglio(models.Model):
    articolo = models.ForeignKey(
        Articolo, on_delete=models.CASCADE, related_name="varianti"
    )
    variante = models.ForeignKey(Variante, on_delete=models.CASCADE)
    variante_valore = models.ForeignKey(
        VarianteValore,
        on_delete=models.CASCADE,
    )
    prezzo = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        blank=True,
        default=None,
        null=True,
    )
    prezzo_offerta = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        blank=True,
        default=None,
        null=True,
    )
    prezzo_a_partire = models.BooleanField(default=False)

    def __str__(self):
        return f"{self.articolo.nome} {self.variante.variante} {self.variante_valore.valore}"

    class Meta:
        verbose_name = "Dettaglio Articolo"
        verbose_name_plural = "Dettagli Articolo"
