from django.db import models

from ..helpers import wallpapers_dir


class Servizio(models.Model):
    nome = models.CharField(max_length=255, blank=False)
    slug = models.SlugField(blank=False, unique=True)
    wallpaper = models.ImageField(
        blank=True,
        default=None,
        upload_to=wallpapers_dir,
    )
    descrizione_breve = models.TextField(max_length=500, blank=False)
    descrizione = models.TextField(blank=True, default=None)

    def __str__(self):
        return self.nome

    class Meta:
        verbose_name = "Servizio"
        verbose_name_plural = "Servizi"
