from rest_framework import serializers

from ...models import Articolo
from .dettaglio import ArticoloDettaglioSerializer
from .immagine import ArticoloImmagineSerializer


class ArticoloSerializer(serializers.ModelSerializer):
    varianti = ArticoloDettaglioSerializer(many=True, read_only=True)
    immagini = ArticoloImmagineSerializer(many=True, read_only=True)

    class Meta:
        model = Articolo
        fields = [
            "id",
            "url",
            "servizio",
            "nome",
            "slug",
            "descrizione",
            "prezzo",
            "prezzo_offerta",
            "prezzo_a_partire",
            "varianti",
            "immagini",
        ]
