from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ...models import Articolo
from ...serializers import ArticoloSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class ArticoloViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Articolo.objects.all()
    serializer_class = ArticoloSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = [
        "servizio",
    ]
    search_fields = ["=slug", "nome"]
