from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ...models import Variante
from ...serializers import VarianteSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class VarianteViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Variante.objects.all()
    serializer_class = VarianteSerializer
    filter_backends = [DjangoFilterBackend, filters.SearchFilter]
    filterset_fields = [
        "variante",
    ]
    search_fields = ["variante"]
