# Generated by Django 4.0 on 2021-12-27 13:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('anagrafica', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Negozio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('etichetta', models.CharField(help_text='Etichetta per distinguere il negozio dagli altri punti vendita', max_length=100)),
                ('azienda', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='negozi', to='anagrafica.soggettofiscale')),
                ('indirizzo', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='anagrafica.indirizzo')),
            ],
            options={
                'verbose_name': 'Negozio',
                'verbose_name_plural': 'Negozi',
            },
        ),
        migrations.CreateModel(
            name='OrarioLavorativoSpeciale',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('giorno', models.DateField()),
                ('aperto', models.BooleanField(default=False)),
                ('dalle', models.TimeField(blank=True, default=None, null=True)),
                ('alle', models.TimeField(blank=True, default=None, null=True)),
                ('negozio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orari_speciali', to='pos.negozio')),
            ],
            options={
                'verbose_name': 'Orario lavorativo speciale',
                'verbose_name_plural': 'Orari lavorativi speciali',
            },
        ),
        migrations.CreateModel(
            name='OrarioLavorativo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('giorno', models.IntegerField(choices=[(1, 'Lunedì'), (2, 'Martedì'), (3, 'Mercoledì'), (4, 'Giovedì'), (5, 'Venerdì'), (6, 'Sabato'), (7, 'Domenica')], default=1)),
                ('aperto', models.BooleanField(default=True)),
                ('dalle', models.TimeField(blank=True, default=None, null=True)),
                ('alle', models.TimeField(blank=True, default=None, null=True)),
                ('negozio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orari', to='pos.negozio')),
            ],
            options={
                'verbose_name': 'Orario lavorativo',
                'verbose_name_plural': 'Orari lavorativi',
            },
        ),
        migrations.CreateModel(
            name='Cassa',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('etichetta', models.CharField(help_text='Etichetta del registratore telematico per distinguerlo dagli altri', max_length=100)),
                ('codice', models.CharField(blank=True, help_text='Codice del registratore telematico', max_length=100, null=True)),
                ('negozio', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='casse', to='pos.negozio')),
            ],
            options={
                'verbose_name': 'Cassa',
                'verbose_name_plural': 'Casse',
            },
        ),
    ]
