from django.db import models

from .negozio import Negozio


class Cassa(models.Model):
    negozio = models.ForeignKey(Negozio, on_delete=models.CASCADE, related_name="casse")
    etichetta = models.CharField(
        max_length=100,
        help_text="Etichetta del registratore telematico per distinguerlo dagli altri",
    )
    codice = models.CharField(
        max_length=100,
        null=True,
        blank=True,
        help_text="Codice del registratore telematico",
    )

    def __str__(self):
        return f"Cassa {self.etichetta}"

    class Meta:
        verbose_name = "Cassa"
        verbose_name_plural = "Casse"
