from django.db import models

from minigest.anagrafica.models import Indirizzo, SoggettoFiscale


class Negozio(models.Model):
    azienda = models.ForeignKey(
        SoggettoFiscale, on_delete=models.CASCADE, related_name="negozi"
    )

    etichetta = models.CharField(
        max_length=100,
        help_text="Etichetta per distinguere il negozio dagli altri punti vendita",
    )

    indirizzo = models.ForeignKey(
        Indirizzo, on_delete=models.SET_NULL, null=True, blank=True, default=None
    )

    def __str__(self):
        return f"Negozio {self.etichetta} di {self.azienda}"

    class Meta:
        verbose_name = "Negozio"
        verbose_name_plural = "Negozi"
