from rest_framework import serializers

from minigest.anagrafica.models import SoggettoFiscale

from ..models import Negozio, Cassa
from .orario import OrarioLavorativoSerializer, OrarioLavorativoSpecialeSerializer


class NegozioSerializerMinimal(serializers.ModelSerializer):
    class Meta:
        model = Negozio
        fields = "__all__"


class SoggettoFiscaleMinimal(serializers.ModelSerializer):
    class Meta:
        model = SoggettoFiscale
        fields = ["id", "denominazione", "nome", "cognome"]


class CassaSerializer(serializers.ModelSerializer):
    class Meta:
        model = Cassa
        fields = "__all__"


class NegozioSerializer(serializers.ModelSerializer):
    orari = OrarioLavorativoSerializer(many=True, read_only=True)
    orari_speciali = OrarioLavorativoSpecialeSerializer(many=True, read_only=True)

    class Meta:
        model = Negozio
        depth = 1
        fields = [
            "id",
            "etichetta",
            "azienda",
            "indirizzo",
            "orari",
            "orari_speciali",
            "casse",
        ]
