from django.conf import settings
from rest_framework import permissions, viewsets
from django_filters.rest_framework import DjangoFilterBackend

from ..models import Negozio
from ..serializers import NegozioSerializer

permission = (
    permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticatedOrReadOnly
)


class NegozioViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Negozio.objects.all()
    serializer_class = NegozioSerializer
    filter_backends = [DjangoFilterBackend]
    filterset_fields = ["azienda"]
