from django.contrib import admin

from ...models import Accertamento
from .erario import AccertamentoSezErarioInline


@admin.register(Accertamento)
class AccertamentoAdmin(admin.ModelAdmin):
    list_display = ("codice_atto", "data_elaborazione")
    ordering = ("-data_ricezione",)
    search_fields = (
        "data_elaborazione",
        "data_ricezione",
        "codice_comunicazione",
        "codice_atto",
    )

    inlines = [AccertamentoSezErarioInline]
