from django.contrib import admin

from ...models import AccertamentoRata
from .erario import AccertamentoRataSezErarioInline


@admin.register(AccertamentoRata)
class AccertamentoRataAdmin(admin.ModelAdmin):
    list_display = (
        "accertamento",
        "data_scadenza",
    )
    ordering = ("-data_scadenza",)
    search_fields = ("data_scadenza",)

    inlines = [AccertamentoRataSezErarioInline]
