from django.contrib import admin

from ...models import quietanza
from .altro import QuietanzaSezAltroEnteAdmin
from .erario import QuietanzaSezErarioAdmin
from .imu import QuietanzaSezImuLocaleAdmin
from .inail import QuietanzaSezInailAdmin
from .inps import QuietanzaSezInpsAdmin
from .regione import QuietanzaSezRegioneAdmin


@admin.register(quietanza.Quietanza)
class QuietanzaAdmin(admin.ModelAdmin):
    ordering = ("-data_pagamento",)
    search_fields = ("data_pagamento",)

    inlines = [
        QuietanzaSezErarioAdmin,
        QuietanzaSezInpsAdmin,
        QuietanzaSezRegioneAdmin,
        QuietanzaSezImuLocaleAdmin,
        QuietanzaSezInailAdmin,
        QuietanzaSezAltroEnteAdmin,
    ]
