from django.contrib import admin

from ...models import tributo
from .altro import TributoSezAltroEnteAdmin
from .erario import TributoSezErarioAdmin
from .imu import TributoSezImuLocaleAdmin
from .inail import TributoSezInailAdmin
from .inps import TributoSezInpsAdmin
from .regione import TributoSezRegioneAdmin


@admin.register(tributo.Tributo)
class TributoAdmin(admin.ModelAdmin):
    list_display = ("descrizione", "data_scadenza", "soggetto_fiscale")
    ordering = ("-data_scadenza",)
    search_fields = (
        "data_scadenza",
        "descrizione",
    )

    inlines = [
        TributoSezErarioAdmin,
        TributoSezInpsAdmin,
        TributoSezRegioneAdmin,
        TributoSezImuLocaleAdmin,
        TributoSezInailAdmin,
        TributoSezAltroEnteAdmin,
    ]
