def scadenzario(azienda):
    scadenzario = list()
    accertamenti = list()

    # Lista dei tributi
    for tributo in azienda.tributi.all():
        # Se il saldo del tributo è minore di zero
        if tributo.saldo < 0:
            # se non ci sono accertamenti
            if len(tributo.accertamenti.all()) == 0:
                # viene aggiunto il tributo
                scadenzario.append(
                    {
                        "typeof": "tributo",
                        "id": tributo.id,
                        "data_scadenza": tributo.data_scadenza,
                        "descrizione": tributo.descrizione,
                        "totale": tributo.saldo,
                    }
                )
            else:
                # Se ci sono accertamenti crea una lista di accertamenti
                for accertamento in tributo.accertamenti.all():
                    accertamenti.append(accertamento)

    # Rimuove i duplicati
    accertamenti = list(dict.fromkeys(accertamenti))

    for accertamento in accertamenti:
        for rata in accertamento.rate.all():
            # Recupera tutte le quietanze alla data della rata
            tot_q = 0
            for q in accertamento.quietanze.all():
                tot_q += q.totale

            # recupera tutte le rate alla data della rata
            tot_r = 0
            for r in accertamento.rate.all().filter(
                data_scadenza__lte=rata.data_scadenza
            ):
                tot_r += r.totale

            # Se il totale delle rate è maggiore delle quietanze
            # aggiunge la rata
            if tot_r > tot_q:
                scadenzario.append(
                    {
                        "typeof": "accertamento",
                        "id": accertamento.id,
                        "data_scadenza": rata.data_scadenza,
                        "descrizione": f"Accertamento/Atto: {accertamento.codice_atto}",
                        "totale": rata.totale,
                    }
                )

    # Ordina le scadenze per data
    scadenzario = sorted(scadenzario, key=lambda k: k["data_scadenza"])

    return scadenzario
