# Generated by Django 4.0 on 2021-12-25 20:46

import django.db.models.deletion
from django.db import migrations, models

import minigest.tributi.helpers.updirs


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("anagrafica", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="AccertamentoRata",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("data_scadenza", models.DateField()),
            ],
            options={
                "verbose_name": "Accertamento Rata",
                "verbose_name_plural": "Accertamento Rate",
            },
        ),
        migrations.CreateModel(
            name="Imposta",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "polymorphic_ctype",
                    models.ForeignKey(
                        editable=False,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="polymorphic_%(app_label)s.%(class)s_set+",
                        to="contenttypes.contenttype",
                    ),
                ),
            ],
            options={
                "verbose_name": "Imposta",
                "verbose_name_plural": "Imposte",
            },
        ),
        migrations.CreateModel(
            name="Quietanza",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("data_pagamento", models.DateField()),
                (
                    "file",
                    models.FileField(
                        blank=True,
                        default=None,
                        help_text="Carica la quietanza",
                        null=True,
                        upload_to=minigest.tributi.helpers.updirs.quietanza_dir,
                    ),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="quietanze",
                        to="tributi.imposta",
                    ),
                ),
            ],
            options={
                "verbose_name": "Quietanza",
                "verbose_name_plural": "Quietanze",
            },
        ),
        migrations.CreateModel(
            name="Accertamento",
            fields=[
                (
                    "imposta_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="tributi.imposta",
                    ),
                ),
                ("data_elaborazione", models.DateField(blank=True, null=True)),
                ("data_ricezione", models.DateField()),
                ("codice_comunicazione", models.CharField(max_length=20)),
                ("codice_atto", models.CharField(max_length=20)),
                (
                    "file",
                    models.FileField(
                        blank=True,
                        default=None,
                        help_text="Carica l'atto/accertamento",
                        null=True,
                        upload_to=minigest.tributi.helpers.updirs.accertamento_dir,
                    ),
                ),
            ],
            options={
                "verbose_name": "Accertamento",
                "verbose_name_plural": "Accertamenti",
            },
            bases=("tributi.imposta",),
        ),
        migrations.CreateModel(
            name="Tributo",
            fields=[
                (
                    "imposta_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="tributi.imposta",
                    ),
                ),
                ("data_scadenza", models.DateField()),
                ("descrizione", models.CharField(max_length=100)),
                (
                    "f24",
                    models.FileField(
                        blank=True,
                        default=None,
                        help_text="Carica l'F24",
                        null=True,
                        upload_to=minigest.tributi.helpers.updirs.f24_dir,
                    ),
                ),
                (
                    "soggetto_fiscale",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="tributi",
                        to="anagrafica.soggettofiscale",
                    ),
                ),
            ],
            options={
                "verbose_name_plural": "Tributi",
            },
            bases=("tributi.imposta",),
        ),
        migrations.CreateModel(
            name="QuietanzaSezRegione",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "regione",
                    models.CharField(max_length=2, verbose_name="codice regione"),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        max_length=10, verbose_name="rateazione/mese rif."
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "quietanza",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_regioni",
                        to="tributi.quietanza",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Regioni",
                "verbose_name_plural": "Sezione Regioni",
            },
        ),
        migrations.CreateModel(
            name="QuietanzaSezInps",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                (
                    "causale",
                    models.CharField(max_length=10, verbose_name="causale contributo"),
                ),
                (
                    "matricola",
                    models.CharField(
                        max_length=20,
                        verbose_name="matricola INPS/codice INPS/filiale azienda",
                    ),
                ),
                ("periodo_da", models.DateField()),
                ("periodo_a", models.DateField()),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "quietanza",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_inps",
                        to="tributi.quietanza",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione INPS",
                "verbose_name_plural": "Sezione INPS",
            },
        ),
        migrations.CreateModel(
            name="QuietanzaSezInail",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                ("ditta", models.CharField(max_length=20, verbose_name="codice ditta")),
                ("cc", models.CharField(max_length=5, verbose_name="C.C.")),
                (
                    "riferimento",
                    models.CharField(
                        max_length=10, verbose_name="numero di riferimento"
                    ),
                ),
                ("causale", models.CharField(max_length=5)),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "quietanza",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_inail",
                        to="tributi.quietanza",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione INAIL",
                "verbose_name_plural": "Sezione INAIL",
            },
        ),
        migrations.CreateModel(
            name="QuietanzaSezImuLocale",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "ente",
                    models.CharField(
                        max_length=4, verbose_name="codice ente/codice comune"
                    ),
                ),
                ("ravvedimento", models.BooleanField()),
                ("immobili_variati", models.BooleanField()),
                ("acconto", models.BooleanField()),
                ("saldo", models.BooleanField()),
                ("numero_immobili", models.IntegerField(default=0)),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "mese",
                    models.CharField(
                        max_length=10, verbose_name="rateazione/mese rif."
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "quietanza",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_imu_tributi_locali",
                        to="tributi.quietanza",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione IMU e altri tributi locali",
                "verbose_name_plural": "Sezione IMU e altri tributi locali",
            },
        ),
        migrations.CreateModel(
            name="QuietanzaSezErario",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "ufficio",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=3,
                        null=True,
                        verbose_name="codice ufficio",
                    ),
                ),
                (
                    "atto",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=11,
                        null=True,
                        verbose_name="codice atto",
                    ),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=10,
                        null=True,
                        verbose_name="rateazione/regione/prov./mese rif.",
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "quietanza",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_erario",
                        to="tributi.quietanza",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Erario",
                "verbose_name_plural": "Sezione Erario",
            },
        ),
        migrations.CreateModel(
            name="QuietanzaSezAltroEnte",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ente", models.CharField(max_length=4, verbose_name="codice ente")),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                (
                    "contributo",
                    models.CharField(max_length=10, verbose_name="causale contributo"),
                ),
                (
                    "posizione",
                    models.CharField(max_length=20, verbose_name="codice posizione"),
                ),
                (
                    "periodo_da",
                    models.DateField(verbose_name="periodo di riferimento da"),
                ),
                (
                    "periodo_a",
                    models.DateField(verbose_name="periodo di riferimento a"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "credito",
                    models.DecimalField(
                        decimal_places=2,
                        default=0.0,
                        max_digits=19,
                        verbose_name="importo a credito compensato",
                    ),
                ),
                (
                    "quietanza",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_altri_enti",
                        to="tributi.quietanza",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione altri enti prevideziali e assicurativi",
                "verbose_name_plural": "Sezione altri enti prevideziali e assicurativi",
            },
        ),
        migrations.CreateModel(
            name="AccertamentoRataSezErario",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=10,
                        null=True,
                        verbose_name="rateazione/regione/prov./mese rif.",
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "accertamento",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_erario",
                        to="tributi.accertamentorata",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Erario",
                "verbose_name_plural": "Sezione Erario",
            },
        ),
        migrations.CreateModel(
            name="TributoSezRegione",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "regione",
                    models.CharField(max_length=2, verbose_name="codice regione"),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        max_length=10, verbose_name="rateazione/mese rif."
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_regioni",
                        to="tributi.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Regioni",
                "verbose_name_plural": "Sezione Regioni",
            },
        ),
        migrations.CreateModel(
            name="TributoSezInps",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                (
                    "causale",
                    models.CharField(max_length=10, verbose_name="causale contributo"),
                ),
                (
                    "matricola",
                    models.CharField(
                        max_length=20,
                        verbose_name="matricola INPS/codice INPS/filiale azienda",
                    ),
                ),
                ("periodo_da", models.DateField()),
                ("periodo_a", models.DateField()),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_inps",
                        to="tributi.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione INPS",
                "verbose_name_plural": "Sezione INPS",
            },
        ),
        migrations.CreateModel(
            name="TributoSezInail",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                ("ditta", models.CharField(max_length=20, verbose_name="codice ditta")),
                ("cc", models.CharField(max_length=5, verbose_name="C.C.")),
                (
                    "riferimento",
                    models.CharField(
                        max_length=10, verbose_name="numero di riferimento"
                    ),
                ),
                ("causale", models.CharField(max_length=5)),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_inail",
                        to="tributi.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione INAIL",
                "verbose_name_plural": "Sezione INAIL",
            },
        ),
        migrations.CreateModel(
            name="TributoSezImuLocale",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "ente",
                    models.CharField(
                        max_length=4, verbose_name="codice ente/codice comune"
                    ),
                ),
                ("ravvedimento", models.BooleanField()),
                ("immobili_variati", models.BooleanField()),
                ("acconto", models.BooleanField()),
                ("saldo", models.BooleanField()),
                ("numero_immobili", models.IntegerField(default=0)),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "mese",
                    models.CharField(
                        max_length=10, verbose_name="rateazione/mese rif."
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_imu_tributi_locali",
                        to="tributi.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione IMU e altri tributi locali",
                "verbose_name_plural": "Sezione IMU e altri tributi locali",
            },
        ),
        migrations.CreateModel(
            name="TributoSezErario",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "ufficio",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=3,
                        null=True,
                        verbose_name="codice ufficio",
                    ),
                ),
                (
                    "atto",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=11,
                        null=True,
                        verbose_name="codice atto",
                    ),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=10,
                        null=True,
                        verbose_name="rateazione/regione/prov./mese rif.",
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_erario",
                        to="tributi.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Erario",
                "verbose_name_plural": "Sezione Erario",
            },
        ),
        migrations.CreateModel(
            name="TributoSezAltroEnte",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("ente", models.CharField(max_length=4, verbose_name="codice ente")),
                ("sede", models.CharField(max_length=10, verbose_name="codice sede")),
                (
                    "contributo",
                    models.CharField(max_length=10, verbose_name="causale contributo"),
                ),
                (
                    "posizione",
                    models.CharField(max_length=20, verbose_name="codice posizione"),
                ),
                (
                    "periodo_da",
                    models.DateField(verbose_name="periodo di riferimento da"),
                ),
                (
                    "periodo_a",
                    models.DateField(verbose_name="periodo di riferimento a"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "imposta",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_altri_enti",
                        to="tributi.tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione altri enti prevideziali e assicurativi",
                "verbose_name_plural": "Sezione altri enti prevideziali e assicurativi",
            },
        ),
        migrations.CreateModel(
            name="CartellaPagamento",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("numero", models.CharField(max_length=50)),
                ("data_ricezione", models.DateField()),
                (
                    "totale",
                    models.DecimalField(
                        decimal_places=2, max_digits=19, verbose_name="importo a debito"
                    ),
                ),
                (
                    "file",
                    models.FileField(
                        blank=True,
                        default=None,
                        help_text="Carica la cartella di pagamento",
                        null=True,
                        upload_to=minigest.tributi.helpers.updirs.cartella_pagamento_dir,
                    ),
                ),
                (
                    "soggetto_fiscale",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="cartelle",
                        to="anagrafica.soggettofiscale",
                    ),
                ),
                (
                    "tributi",
                    models.ManyToManyField(
                        blank=True,
                        default=None,
                        related_name="cartelle",
                        to="tributi.Tributo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Cartella di Pagamento",
                "verbose_name_plural": "Cartelle di Pagamento",
            },
        ),
        migrations.CreateModel(
            name="AccertamentoSezErario",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "tributo",
                    models.CharField(max_length=10, verbose_name="codice tributo"),
                ),
                (
                    "riferimento",
                    models.CharField(
                        blank=True,
                        default=None,
                        max_length=10,
                        null=True,
                        verbose_name="rateazione/regione/prov./mese rif.",
                    ),
                ),
                (
                    "anno",
                    models.CharField(max_length=4, verbose_name="anno di riferimento"),
                ),
                (
                    "debito",
                    models.DecimalField(
                        decimal_places=2,
                        max_digits=19,
                        verbose_name="importo a debito versato",
                    ),
                ),
                (
                    "accertamento",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="sezione_erario",
                        to="tributi.accertamento",
                    ),
                ),
            ],
            options={
                "verbose_name": "Sezione Erario",
                "verbose_name_plural": "Sezione Erario",
            },
        ),
        migrations.AddField(
            model_name="accertamentorata",
            name="accertamento",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="rate",
                to="tributi.accertamento",
            ),
        ),
        migrations.AddField(
            model_name="accertamento",
            name="imposte",
            field=models.ManyToManyField(
                related_name="accertamenti", to="tributi.Tributo"
            ),
        ),
        migrations.AddField(
            model_name="accertamento",
            name="soggetto_fiscale",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="accertamenti",
                to="anagrafica.soggettofiscale",
            ),
        ),
    ]
