from django.db import models

from .rata import AccertamentoRata


class AccertamentoRataSezErario(models.Model):
    accertamento = models.ForeignKey(
        AccertamentoRata, on_delete=models.CASCADE, related_name="sezione_erario"
    )

    tributo = models.CharField(max_length=10, verbose_name="codice tributo")
    riferimento = models.CharField(
        max_length=10,
        verbose_name="rateazione/regione/prov./mese rif.",
        null=True,
        blank=True,
        default=None,
    )
    anno = models.CharField(max_length=4, verbose_name="anno di riferimento")

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    class Meta:
        verbose_name = "Sezione Erario"
        verbose_name_plural = "Sezione Erario"
