from django.db import models

from ..accertamento import Accertamento


class AccertamentoRata(models.Model):
    accertamento = models.ForeignKey(
        Accertamento, on_delete=models.CASCADE, related_name="rate"
    )

    data_scadenza = models.DateField()

    @property
    def totale(self):
        totale = 0

        for erario in self.sezione_erario.all():
            totale += erario.debito

        return totale

    def __str__(self):
        return f"Rata {self.accertamento}"

    class Meta:
        verbose_name = "Accertamento Rata"
        verbose_name_plural = "Accertamento Rate"
