from django.db import models

from .quietanza import Quietanza


class QuietanzaSezAltroEnte(models.Model):
    quietanza = models.ForeignKey(
        Quietanza, on_delete=models.CASCADE, related_name="sezione_altri_enti"
    )

    ente = models.CharField(max_length=4, verbose_name="codice ente")

    sede = models.CharField(max_length=10, verbose_name="codice sede")

    contributo = models.CharField(max_length=10, verbose_name="causale contributo")

    posizione = models.CharField(max_length=20, verbose_name="codice posizione")

    periodo_da = models.DateField(verbose_name="periodo di riferimento da")

    periodo_a = models.DateField(verbose_name="periodo di riferimento a")

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    credito = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=0.0,
        verbose_name="importo a credito compensato",
    )

    class Meta:
        verbose_name = "Sezione altri enti prevideziali e assicurativi"
        verbose_name_plural = "Sezione altri enti prevideziali e assicurativi"
