from django.db import models

from .quietanza import Quietanza


class QuietanzaSezErario(models.Model):
    quietanza = models.ForeignKey(
        Quietanza, on_delete=models.CASCADE, related_name="sezione_erario"
    )
    ufficio = models.CharField(
        max_length=3, verbose_name="codice ufficio", null=True, blank=True, default=None
    )
    atto = models.CharField(
        max_length=11, verbose_name="codice atto", null=True, blank=True, default=None
    )

    tributo = models.CharField(max_length=10, verbose_name="codice tributo")
    riferimento = models.CharField(
        max_length=10,
        verbose_name="rateazione/regione/prov./mese rif.",
        null=True,
        blank=True,
        default=None,
    )
    anno = models.CharField(max_length=4, verbose_name="anno di riferimento")

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    credito = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=0.0,
        verbose_name="importo a credito compensato",
    )

    class Meta:
        verbose_name = "Sezione Erario"
        verbose_name_plural = "Sezione Erario"
