from django.db import models

from .quietanza import Quietanza


class QuietanzaSezImuLocale(models.Model):
    quietanza = models.ForeignKey(
        Quietanza, on_delete=models.CASCADE, related_name="sezione_imu_tributi_locali"
    )

    ente = models.CharField(max_length=4, verbose_name="codice ente/codice comune")

    ravvedimento = models.BooleanField()

    immobili_variati = models.BooleanField()

    acconto = models.BooleanField()

    saldo = models.BooleanField()

    numero_immobili = models.IntegerField(default=0)

    tributo = models.CharField(max_length=10, verbose_name="codice tributo")

    mese = models.CharField(max_length=10, verbose_name="rateazione/mese rif.")

    anno = models.CharField(max_length=4, verbose_name="anno di riferimento")

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    credito = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=0.0,
        verbose_name="importo a credito compensato",
    )

    class Meta:
        verbose_name = "Sezione IMU e altri tributi locali"
        verbose_name_plural = "Sezione IMU e altri tributi locali"
