from django.db import models

from .quietanza import Quietanza


class QuietanzaSezInps(models.Model):
    quietanza = models.ForeignKey(
        Quietanza, on_delete=models.CASCADE, related_name="sezione_inps"
    )

    sede = models.CharField(max_length=10, verbose_name="codice sede")

    causale = models.CharField(max_length=10, verbose_name="causale contributo")

    matricola = models.CharField(
        max_length=20, verbose_name="matricola INPS/codice INPS/filiale azienda"
    )

    periodo_da = models.DateField()
    periodo_a = models.DateField()

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    credito = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=0.0,
        verbose_name="importo a credito compensato",
    )

    class Meta:
        verbose_name = "Sezione INPS"
        verbose_name_plural = "Sezione INPS"
