from django.db import models

from .quietanza import Quietanza


class QuietanzaSezRegione(models.Model):
    quietanza = models.ForeignKey(
        Quietanza, on_delete=models.CASCADE, related_name="sezione_regioni"
    )

    regione = models.CharField(max_length=2, verbose_name="codice regione")

    tributo = models.CharField(max_length=10, verbose_name="codice tributo")

    riferimento = models.CharField(max_length=10, verbose_name="rateazione/mese rif.")

    anno = models.CharField(max_length=4, verbose_name="anno di riferimento")

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    credito = models.DecimalField(
        max_digits=19,
        decimal_places=2,
        default=0.0,
        verbose_name="importo a credito compensato",
    )

    class Meta:
        verbose_name = "Sezione Regioni"
        verbose_name_plural = "Sezione Regioni"
