from django.db import models

from .tributo import Tributo


class TributoSezInail(models.Model):
    imposta = models.ForeignKey(
        Tributo, on_delete=models.CASCADE, related_name="sezione_inail"
    )

    sede = models.CharField(max_length=10, verbose_name="codice sede")
    ditta = models.CharField(max_length=20, verbose_name="codice ditta")
    cc = models.CharField(max_length=5, verbose_name="C.C.")

    riferimento = models.CharField(max_length=10, verbose_name="numero di riferimento")

    causale = models.CharField(max_length=5)

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    class Meta:
        verbose_name = "Sezione INAIL"
        verbose_name_plural = "Sezione INAIL"
