from django.db import models

from .tributo import Tributo


class TributoSezInps(models.Model):
    imposta = models.ForeignKey(
        Tributo, on_delete=models.CASCADE, related_name="sezione_inps"
    )

    sede = models.CharField(max_length=10, verbose_name="codice sede")

    causale = models.CharField(max_length=10, verbose_name="causale contributo")

    matricola = models.CharField(
        max_length=20, verbose_name="matricola INPS/codice INPS/filiale azienda"
    )

    periodo_da = models.DateField()
    periodo_a = models.DateField()

    debito = models.DecimalField(
        max_digits=19, decimal_places=2, verbose_name="importo a debito versato"
    )

    class Meta:
        verbose_name = "Sezione INPS"
        verbose_name_plural = "Sezione INPS"
