from rest_framework import serializers

from ...models import Accertamento
from ..accertamento_rata.rata_inline import AccertamentoRataSerializerInline
from ..quietanza.quietanza_inline import QuietanzaSerializerInline
from ..tributo.tributo_inline import TributoSerializerInline
from .erario import AccertamentoSezErarioSerializer


class AccertamentoSerializer(serializers.ModelSerializer):
    imposte = TributoSerializerInline(many=True, read_only=True)
    sezione_erario = AccertamentoSezErarioSerializer(many=True, read_only=True)
    quietanze = QuietanzaSerializerInline(many=True, read_only=True)
    rate = AccertamentoRataSerializerInline(many=True, read_only=True)

    class Meta:
        model = Accertamento
        fields = [
            "id",
            "imposte",
            "data_elaborazione",
            "data_ricezione",
            "codice_comunicazione",
            "codice_atto",
            "totale",
            "saldo",
            "totale_rate",
            "file",
            "sezione_erario",
            "rate",
            "quietanze",
        ]
