from rest_framework import serializers

from ...models import Quietanza
from ..accertamento.accertamento_inline import AccertamentoSerializerInline
from ..cartella_inline import CartellaPagamentoSerializerInline
from .erario import QuietanzaSezErarioSerializer


class QuietanzaSerializer(serializers.ModelSerializer):
    sezione_erario = QuietanzaSezErarioSerializer(many=True, read_only=True)

    accertamenti = AccertamentoSerializerInline(many=True, read_only=True)

    cartelle = CartellaPagamentoSerializerInline(many=True, read_only=True)

    class Meta:
        model = Quietanza
        fields = [
            "id",
            "data_scadenza",
            "descrizione",
            "totale",
            "file",
            "sezione_erario",
            "accertamenti",
            "cartelle",
            "quietanze",
        ]
