from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import Accertamento
from ..serializers.accertamento import AccertamentoSerializer

permission = permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticated


class AccertamentoViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Accertamento.objects.all()
    serializer_class = AccertamentoSerializer
    filter_backends = [filters.SearchFilter, DjangoFilterBackend]
    filterset_fields = ["soggetto_fiscale"]
    search_fields = ["data_scadenza", "descrizione"]
