from datetime import datetime, timedelta

from django.conf import settings
from rest_framework import permissions, status
from rest_framework.response import Response
from rest_framework.views import APIView

from minigest.anagrafica.models import SoggettoFiscale as Azienda

from ..helpers import scadenzario

permission = permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticated


class Scadenzario(APIView):
    permission_classes = [permission]

    def get(self, request, pk_azienda):
        # inizializzazione delle variabili
        azienda = None
        filtered = list()

        # Controlla che l'azienda esista
        try:
            azienda = Azienda.objects.get(id=pk_azienda)

        except Azienda.DoesNotExist:
            return Response("Azienda non selezionata", status=status.HTTP_404_NOT_FOUND)

        if "imminenti" in request.GET:
            if request.GET.get("imminenti") is not "":
                oggi = request.GET.get("imminenti")
                oggi = datetime.strptime(oggi, "%Y-%m-%d").date()
                gg30 = oggi + timedelta(days=45)

                for scad in scadenzario(azienda):
                    data = scad.get("data_scadenza")

                    if data <= gg30 and data >= oggi:
                        print(True)
                        filtered.append(scad)
        else:
            filtered = scadenzario(azienda)

        return Response(filtered)
