from django.conf import settings
from django_filters.rest_framework import DjangoFilterBackend
from rest_framework import filters, permissions, viewsets

from ..models import Tributo
from ..serializers import TributoSerializer

permission = permissions.AllowAny if settings.DEBUG else permissions.IsAuthenticated


class TributoViewSet(viewsets.ModelViewSet):
    permission_classes = [permission]
    queryset = Tributo.objects.all().order_by("-data_scadenza")
    serializer_class = TributoSerializer
    filter_backends = [filters.SearchFilter, DjangoFilterBackend]
    filterset_fields = ["soggetto_fiscale"]
    search_fields = ["data_scadenza", "descrizione"]
    ordering = ["data_scadenza"]
